Bug 853308 - AttributeError: 'EFIGRUB' object has no attribute 'storage'
AttributeError: 'EFIGRUB' object has no attribute 'storage'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:650fb6ca909181f5d096d3b7ef6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 22:51 EDT by John Reiser
Modified: 2012-11-22 20:12 EST (History)
5 users (show)

See Also:
Fixed In Version: anaconda-18.8-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 20:12:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: ifcfg.log (687 bytes, text/plain)
2012-08-30 22:51 EDT, John Reiser
no flags Details
File: anaconda-tb (376.21 KB, text/plain)
2012-08-30 22:51 EDT, John Reiser
no flags Details
File: environ (756 bytes, text/plain)
2012-08-30 22:52 EDT, John Reiser
no flags Details
File: type (9 bytes, text/plain)
2012-08-30 22:52 EDT, John Reiser
no flags Details
File: storage.log (128.15 KB, text/plain)
2012-08-30 22:52 EDT, John Reiser
no flags Details
File: version (2 bytes, text/plain)
2012-08-30 22:52 EDT, John Reiser
no flags Details
File: program.log (39.82 KB, text/plain)
2012-08-30 22:52 EDT, John Reiser
no flags Details
File: product (6 bytes, text/plain)
2012-08-30 22:52 EDT, John Reiser
no flags Details
File: syslog (158.12 KB, text/plain)
2012-08-30 22:52 EDT, John Reiser
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-08-30 22:52 EDT, John Reiser
no flags Details
File: anaconda.log (6.19 KB, text/plain)
2012-08-30 22:52 EDT, John Reiser
no flags Details
File: release (24 bytes, text/plain)
2012-08-30 22:52 EDT, John Reiser
no flags Details
File: description (1.04 KB, text/plain)
2012-08-30 22:52 EDT, John Reiser
no flags Details
Patch to address the problem (4.47 KB, patch)
2012-09-05 12:44 EDT, Peter Jones
no flags Details | Diff
Patch to address the problem (3.50 KB, patch)
2012-09-05 12:56 EDT, Peter Jones
no flags Details | Diff

  None (edit)
Description John Reiser 2012-08-30 22:51:54 EDT
Description of problem:


Version-Release number of selected component:
anaconda-18.6.4

Additional info:
libreport version: 2.0.12
cmdline:        BOOT_IMAGE=/images/pxeboot/vmlinuz
kernel:         3.6.0-0.rc2.git2.1.fc18.x86_64
Comment 1 John Reiser 2012-08-30 22:51:56 EDT
Created attachment 608354 [details]
File: ifcfg.log
Comment 2 John Reiser 2012-08-30 22:51:59 EDT
Created attachment 608355 [details]
File: anaconda-tb
Comment 3 John Reiser 2012-08-30 22:52:00 EDT
Created attachment 608356 [details]
File: environ
Comment 4 John Reiser 2012-08-30 22:52:01 EDT
Created attachment 608357 [details]
File: type
Comment 5 John Reiser 2012-08-30 22:52:03 EDT
Created attachment 608358 [details]
File: storage.log
Comment 6 John Reiser 2012-08-30 22:52:04 EDT
Created attachment 608359 [details]
File: version
Comment 7 John Reiser 2012-08-30 22:52:06 EDT
Created attachment 608360 [details]
File: program.log
Comment 8 John Reiser 2012-08-30 22:52:07 EDT
Created attachment 608361 [details]
File: product
Comment 9 John Reiser 2012-08-30 22:52:09 EDT
Created attachment 608362 [details]
File: syslog
Comment 10 John Reiser 2012-08-30 22:52:10 EDT
Created attachment 608363 [details]
File: hashmarkername
Comment 11 John Reiser 2012-08-30 22:52:12 EDT
Created attachment 608364 [details]
File: anaconda.log
Comment 12 John Reiser 2012-08-30 22:52:13 EDT
Created attachment 608365 [details]
File: release
Comment 13 John Reiser 2012-08-30 22:52:14 EDT
Created attachment 608366 [details]
File: description
Comment 14 Peter Jones 2012-09-05 12:44:01 EDT
Created attachment 610093 [details]
Patch to address the problem

Please try the attached patch.
Comment 15 Peter Jones 2012-09-05 12:56:55 EDT
Created attachment 610095 [details]
Patch to address the problem
Comment 16 John Reiser 2012-09-06 00:19:01 EDT
The patch applies successfully to anaconda-18.6.5, and rpmbuild also succeeds.  Pungi creates the DVD.iso and netinst.iso.  Then I tried livecd-iso-to-disk, but UEFI booting fails when using the resulting USB flash memory device.  My ASUS box falls back to UEFI booting of that other OS.  I suppose I should try the DVD directly.
Comment 17 Adam Williamson 2012-11-22 20:12:24 EST
This bug looks to have been fixed for many anaconda builds now but missed being closed. If you find you are still experiencing it with Fedora 18 Beta (RC1) or later, please re-open the bug.

(we have successful tests of UEFI install from live written to USB in the RC1 validation matrix).

Note You need to log in before you can comment on or make changes to this bug.